Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jms
Interface ConnectionConsumerManager

public interface ConnectionConsumerManager
extends Remote

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `CONNECTION_FACTORY_NAME_PROP`
`static java.lang.String` | `JNDI_NAME`
`static java.lang.String` | `MAX_MESSAGES_PROP`
`static java.lang.String` | `QUEUE_NAME_PROP`
`static java.lang.String` | `SELECTOR_PROP`
`static java.lang.String` | `SERVER_SESSION_POOL_NAME_PROP`
`static java.lang.String` | `TOPIC_NAME_PROP`

Method Summary
`void` | `createConnectionConsumer(java.lang.String ccName, java.util.Properties ccProps)`
`void` | `destroyConnectionConsumer(java.lang.String ccName)`

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

### CONNECTION_FACTORY_NAME_PROP

    public static final java.lang.String CONNECTION_FACTORY_NAME_PROP

### MAX_MESSAGES_PROP

    public static final java.lang.String MAX_MESSAGES_PROP

### SELECTOR_PROP

    public static final java.lang.String SELECTOR_PROP

### SERVER_SESSION_POOL_NAME_PROP

    public static final java.lang.String SERVER_SESSION_POOL_NAME_PROP

### QUEUE_NAME_PROP

    public static final java.lang.String QUEUE_NAME_PROP

### TOPIC_NAME_PROP

    public static final java.lang.String TOPIC_NAME_PROP

Method Detail

### createConnectionConsumer

    public void createConnectionConsumer(java.lang.String ccName,
                                         java.util.Properties ccProps)
                                  throws javax.jms.JMSException

### destroyConnectionConsumer

    public void destroyConnectionConsumer(java.lang.String ccName)
                                   throws javax.jms.JMSException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD